# List Account Statements (deprecated)

Lists all statements for an account. Partners can expect monthly statements to be available by the 15th of every month.



Bank and Broker dealer statements are sensitive documents. For security reasons, these URLs have a 10 minute TTL. Therefore, they should be fetched and served just-in-time, not stored in databases.

Endpoint: GET /api/v1/jiko-accounts/{account_id}/statements/
Version: Version: aec57205
Security: HTTPBearer

## Path parameters:

  - `account_id` (string, required)

## Query parameters:

  - `order` (string)
    Enum: "desc", "asc"

  - `type[]` (array)
    Enum: "1099B", "1099INT", "BANK", "BROKERAGE", "CONSOLIDATED_BANK", "CONSOLIDATED_BROKERAGE"

  - `key` (any)
    Date formatted either YYYY or YYYY-MM

  - `cursor` (string)

  - `limit` (integer)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `prev_page` (any)

  - `next_page` (any)

  - `items` (array, required)

  - `items.id` (string, required)

  - `items.jiko_account_id` (any, required)

  - `items.type` (string, required)
    Enum: same as `type[]` (6 values)

  - `items.key` (string, required)

  - `items.pdf_download_url` (string, required)

  - `items.time_created` (string, required)

  - `items.csv_zip_download_url` (any, required)

  - `items.object_type` (string, required)

  - `object_type` (string)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


## Response 404 fields
